import { ObjectId } from 'bson';
import { MarketplaceName } from '../models/marketplace-names';
import { Environment } from '../bootstrapping/environment';
import { EveClient } from './eve-client';
import { ApiCarrierName } from './settings-client';
export declare type ApiFulfillmentStatus = 'Registered' | 'Shipped' | 'AtDepot' | 'Delivered' | 'Canceled' | 'Failed';
export interface ApiFulfillment {
    companyId: ObjectId;
    marketplaceOrderId: string;
    marketplace: MarketplaceName;
    status: ApiFulfillmentStatus;
    carrier?: ApiCarrierName;
    shipDate?: Date;
    trackingNumber?: string;
    carrierName?: string;
    shipMethod?: string;
    trackingUrl?: string;
}
export declare class FulfillmentsClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    updateFulfillments(companyId: ObjectId, fulfillments: ApiFulfillment[]): Promise<void>;
}
