import { EveClient } from './eve-client';
import { Environment } from '..';
import { ObjectId } from 'bson';
import { MallType } from '..';
export interface ApiMallFulfillment {
    companyId: ObjectId;
    marketplaceOrderId: string;
    marketplace: MallType;
    trackingNumber: string;
    trackingUrl: string;
}
export interface ApiMallFulfillmentResponse {
    fulfilled: boolean;
}
export declare class MallServiceClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    getDeliveryMethods(companyId: ObjectId): Promise<ApiMallDeliveryMethod[]>;
    fulfillOrder(companyId: ObjectId, fulfillment: ApiMallFulfillment): Promise<ApiMallFulfillmentResponse>;
    getCredentials(companyId: ObjectId, marketplace: MallType): Promise<{
        companyId: ObjectId;
        authorizationKey: string;
    }>;
    updateCredentials(companyId: ObjectId, marketplace: MallType, authorizationKey: string, active: boolean): Promise<ApiMallDeliveryMethod[]>;
    getStatuses(companyId: ObjectId): Promise<{
        marketplace: MallType;
        status: 'online' | 'offline';
    }[]>;
}
export interface ApiMallDeliveryMethod {
    code: string;
    title: string;
    marketplace: MallType;
}
