import { EveClient } from './eve-client';
import { Environment } from '../bootstrapping/environment';
import { MarketplaceName } from '../models/marketplace-names';
import { ApiVariant } from './product-service-client';
export interface ApiShallowPricing {
    found: boolean;
    isAlone: boolean;
    isCheaper: boolean;
    isPricier: boolean;
    isPricierWithinThreshold: boolean;
    freeShipping: boolean;
}
export interface IMwsCredentials {
    accessKey: string;
    secretKey: string;
    sellerId: string;
    token: string;
}
export declare const MwsCredentialsJoi: import("joi").ObjectSchema;
export declare class ProductPricingClient extends EveClient {
    protected env: Environment;
    constructor(env: Environment);
    getPricing(marketplace: MarketplaceName, asins: string[], sellerId?: string): Promise<any>;
    getShallowPricing(marketplace: MarketplaceName, credentials: IMwsCredentials, variants: ApiVariant[]): Promise<ApiShallowPricing[]>;
}
