/// <reference types="got" />
import { EveClient } from './eve-client';
import { ObjectId } from 'bson';
import { Environment, ApiOrder } from '..';
import { ApiImportSettings } from '../settings/import-settings-model';
export declare class ShoptetServiceClient extends EveClient {
    constructor(env: Environment);
    postOrders(companyId: ObjectId, orders: ApiOrder[], settings: ApiImportSettings): Promise<import("got").Response<any>>;
    getShoptetShipmentMethods(companyId: ObjectId): Promise<IShoptetShipmentMethod[]>;
    getShoptetOrderStatuses(companyId: ObjectId): Promise<IShoptetOrderStatus[]>;
    syncShoptetOrders(companyId: ObjectId, importSettings: ApiImportSettings[]): Promise<any>;
    getApiAccessToken(companyId: ObjectId): Promise<ApiShoptetAccessToken>;
}
export interface ApiShoptetAccessToken {
    companyId: ObjectId;
    accessToken: string;
    expiresAt: Date;
    lastUsedAt: Date;
}
export interface IShoptetOrderStatus {
    code: number;
    order: number;
    name: string;
    markAsPaid: boolean;
}
export interface IShoptetShipmentMethod {
    guid: string;
    order: number;
    name: string;
    visible: boolean;
}
