import { MarketplaceRegion } from './marketplace-region';
export declare type AmazonEuropeType = 'amazon_de' | 'amazon_uk' | 'amazon_it' | 'amazon_fr' | 'amazon_es' | 'amazon_nl';
export declare const AMAZON_EUROPE: AmazonEuropeType[];
export declare type AmazonAmericaType = 'amazon_mx' | 'amazon_us' | 'amazon_ca' | 'amazon_br';
export declare const AMAZON_AMERICA: AmazonAmericaType[];
export declare type AmazonFarEast = 'amazon_sg' | 'amazon_au' | 'amazon_jp';
export declare const AMAZON_FAR_EAST: AmazonFarEast[];
export declare type AmazonOtherType = 'amazon_in';
export declare const AMAZON_OTHER: AmazonOtherType[];
export declare type AmazonType = AmazonAmericaType | AmazonEuropeType | AmazonOtherType | AmazonFarEast;
export declare const AMAZON: AmazonType[];
export declare type MallType = 'mall_cz' | 'mall_pl' | 'mall_sk' | 'mall_ro' | 'mall_hu';
export declare const MALL: MallType[];
export declare type AlzaType = 'alza_cz';
export declare const ALZA: AlzaType[];
export declare type MarketplaceName = AmazonType | MallType | AlzaType;
export declare const MARKETPLACES: MarketplaceName[];
export declare function getRegionMarketplaces(region: MarketplaceRegion): MarketplaceName[];
export declare function getRegion(marketplace: MarketplaceName): MarketplaceRegion;
export declare type MarketplaceType = 'amazon' | 'mall' | 'alza';
export declare const MARKETPLACE_TYPES: MarketplaceType[];
export declare function getMarketplaceType(marketplace: MarketplaceName): MarketplaceType;
